## List response input items

**get** `/api/v1/responses/{response_id}/input_items`

Lists the materialized input items used to generate a stored response.

### Path Parameters

- `response_id: string`

### Query Parameters

- `order: optional "asc" or "desc"`

  Sort input items in conversation or reverse order.

  - `"asc"`

  - `"desc"`

- `limit: optional number`

  Maximum number of input items to return.

- `after: optional string`

  Return items after this input-item ID in the requested order.

### Header Parameters

- `"X-Organization-Id": optional string`

### Returns

- `object: "list"`

  - `"list"`

- `data: array of map[unknown]`

- `first_id: string`

- `last_id: string`

- `has_more: boolean`

### Example

```http
curl https://api.prod.adaptionlabs.ai/api/v1/responses/$RESPONSE_ID/input_items \
    -H "Authorization: Bearer $ADAPTION_API_KEY"
```

#### Response

```json
{
  "object": "list",
  "data": [
    {
      "foo": "bar"
    }
  ],
  "first_id": "first_id",
  "last_id": "last_id",
  "has_more": true
}
```
